#!/bin/bash



infile="X_2021.nc"
coords="coords.txt"

while read line
do
   line=$(echo $line | sed -e 's/\r//g')
   station=$(echo $line | cut -d ' ' -f 1)
   #-- skip header line
   if [[ "$station" == "station" ]]; then continue; fi
   #-- select station coordinates
   lat=$(echo $line | cut -d ' ' -f 2)
   lon=$(echo $line | cut -d ' ' -f 3)
   station="${station}_${lat}_${lon}_2"
   #-- extract the station data
   cdo -remapnn,"lon=${lon}_lat=${lat}" ${infile} ${station}_out.nc
   cdo -s -outputtab,date,time,year,month,day,x,y,lon,lat,lev,name,value \
        ${station}_out.nc | \
        awk 'NR>1 {$8="'${lon}'"; $9="'${lat}'";print}1' > ${station}_out.txt
done < $coords

